Subject: Re: [PATCH net-next] net: stmmac: dwmac-qcom-ethqos: Add support for 2.5G SGMII

From: "Russell King (Oracle)" <[email-masked]>
Date: Wed, 29 May 2024 21:13:40 +0100

On Wed, May 29, 2024 at 04:28:16PM +0200, Andrew Lunn wrote:
> > Qualcomm ethernet HW supports 2.5G speed in overclocked SGMII mode.
> > we internally term it as OCSGMII.
> 
> So it still does SGMII inband signalling? Not 2500BaseX signalling? It
> is not actually compatible with 2500BaseX?
> 
> > End goal of these patches is to enable SGMII with 2.5G speed support.
> > The patch in these series enabled up SGMII with 2.5 for cases where we
> > don't have external phy. ( mac-to-mac connectivity)
> 
> So the other end needs to be an over clocked SGMII MAC, not 2500BaseX?
> 
> > The new patch posted extends this for the case when the MAC has an
> > external phy connected. ( hence we are advertising fr 2.5G speed by adding
> > 2500BASEX as supported interface in phylink)
> 
> And i assume it does not actually work against a true 2500BaseX
> device, because it is doing SGMII inband signalling?

I really hope the hardware isn't using any SGMII inband signalling
at 2.5G speeds. Other devices explicitly state that SGMII inband
signalling while operating the elevated 2.5G speed is *not* supported!

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!